Message info
 
To:arch-commits@archlinux.org From:Tobias Powalowski Subject:[arch-commits] Commit in misdnuser/repos (10 files) Date:Mon, 14 May 2012 01:41:35 -0400 (EDT)
 

Date: Monday, May 14, 2012 @ 01:41:34
Author: tpowa
Revision: 158985

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
misdnuser/repos/testing-i686/
misdnuser/repos/testing-i686/PKGBUILD
(from rev 158984, misdnuser/trunk/PKGBUILD)
misdnuser/repos/testing-i686/mISDNcapid.conf
(from rev 158984, misdnuser/trunk/mISDNcapid.conf)
misdnuser/repos/testing-i686/mISDNcapid.service
(from rev 158984, misdnuser/trunk/mISDNcapid.service)
misdnuser/repos/testing-i686/misdncapid.rc
(from rev 158984, misdnuser/trunk/misdncapid.rc)
misdnuser/repos/testing-x86_64/
misdnuser/repos/testing-x86_64/PKGBUILD
(from rev 158984, misdnuser/trunk/PKGBUILD)
misdnuser/repos/testing-x86_64/mISDNcapid.conf
(from rev 158984, misdnuser/trunk/mISDNcapid.conf)
misdnuser/repos/testing-x86_64/mISDNcapid.service
(from rev 158984, misdnuser/trunk/mISDNcapid.service)
misdnuser/repos/testing-x86_64/misdncapid.rc
(from rev 158984, misdnuser/trunk/misdncapid.rc)

-----------------------------------+
testing-i686/PKGBUILD | 45 ++++++++++++++++++++++++++++++++++++
testing-i686/mISDNcapid.conf | 1
testing-i686/mISDNcapid.service | 10 ++++++++
testing-i686/misdncapid.rc | 45 ++++++++++++++++++++++++++++++++++++
testing-x86_64/PKGBUILD | 45 ++++++++++++++++++++++++++++++++++++
testing-x86_64/mISDNcapid.conf | 1
testing-x86_64/mISDNcapid.service | 10 ++++++++
testing-x86_64/misdncapid.rc | 45 ++++++++++++++++++++++++++++++++++++
8 files changed, 202 insertions(+)

Copied: misdnuser/repos/testing-i686/PKGBUILD (from rev 158984, misdnuser/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2012-05-14 05:41:34 UTC (rev 158985)
@@ -0,0 +1,45 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa@archlinux.org>
+
+pkgname=misdnuser
+pkgver=2.0.13_20120513
+pkgrel=1
+pkgdesc="Tools and library for mISDN"
+arch=('i686' 'x86_64')
+url="http://www.misdn.org"
+license=('GPL')
+depends=('isdn4k-utils' 'spandsp')
+backup=('etc/capi20.conf')
+options=('!makeflags' '!libtool' '!strip')
+source=(ftp://ftp.archlinux.org/other/misdnuser/${pkgname}-${pkgver}.tar.gz
+ misdncapid.rc
+ mISDNcapid.service
+ mISDNcapid.conf)
+
+build() {
+ # only enable for debugging!
+ #export CFLAGS+=" -g -O0"
+ #export CXXFLAGS+=" -g -O0"
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./configure --prefix=/usr --enable-capi --enable-softdsp --with-mISDN_group=uucp
+ make
+}
+
+package() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make DESTDIR=${pkgdir} install
+ install -D -m 755 ${srcdir}/misdncapid.rc ${pkgdir}/etc/rc.d/misdncapid
+ # fix udev rule
+ mkdir -p ${pkgdir}/usr/lib/udev/rules.d
+ mv ${pkgdir}/etc/udev/rules.d/45-misdn.rules ${pkgdir}/usr/lib/udev/rules.d
+ rm -r ${pkgdir}/etc/udev/
+ # remove temporary dir /var/run/mISDNcapid
+ rm -r ${pkgdir}/var
+ # add systemd files
+ install -D -m644 ${srcdir}/mISDNcapid.service ${pkgdir}/usr/lib/systemd/system/mISDNcapid.service
+ install -D -m644 ${srcdir}/mISDNcapid.conf ${pkgdir}/usr/lib/tmpfiles.d/mISDNcapid.conf
+}
+md5sums=('f61339c3a28a370cd971957e6ef07f5c'
+ '2009563b144de037ecb20f8d727a772e'
+ '638b399f7e0937639960c4dfb3d5138e'
+ '42c3b46880a68c3883ee1ed00af34b45')

Copied: misdnuser/repos/testing-i686/mISDNcapid.conf (from rev 158984, misdnuser/trunk/mISDNcapid.conf)
===================================================================
--- testing-i686/mISDNcapid.conf (rev 0)
+++ testing-i686/mISDNcapid.conf 2012-05-14 05:41:34 UTC (rev 158985)
@@ -0,0 +1 @@
+D /var/run/mISDNcapid 0755 root root -

Copied: misdnuser/repos/testing-i686/mISDNcapid.service (from rev 158984, misdnuser/trunk/mISDNcapid.service)
===================================================================
--- testing-i686/mISDNcapid.service (rev 0)
+++ testing-i686/mISDNcapid.service 2012-05-14 05:41:34 UTC (rev 158985)
@@ -0,0 +1,10 @@
+[Unit]
+Description=mISDN CAPI daemon
+
+[Service]
+Type=forking
+ExecStart=/usr/sbin/mISDNcapid
+ExecReload=/bin/kill -HUP $MAINPID
+
+[Install]
+WantedBy=multi-user.target

Copied: misdnuser/repos/testing-i686/misdncapid.rc (from rev 158984, misdnuser/trunk/misdncapid.rc)
===================================================================
--- testing-i686/misdncapid.rc (rev 0)
+++ testing-i686/misdncapid.rc 2012-05-14 05:41:34 UTC (rev 158985)
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID="$(pidof -o %PPID /usr/sbin/mISDNcapid)"
+case "$1" in
+ start)
+ stat_busy "Starting misdncapid"
+ if [ ! -x /var/run/mISDNcapid ] ; then
+ install -m755 -d /var/run/mISDNcapid
+ fi
+
+ [ -z "$PID" ] && /usr/sbin/mISDNcapid >/dev/null 2>&1
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ PID=$(pidof -o %PPID /usr/sbin/mISDNcapid)
+ echo $PID > /var/run/misdncapid.pid
+ add_daemon misdncapid
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping misdncapid"
+ [ -f /var/run/misdncapid.pid ] && kill `cat /var/run/misdncapid.pid` >/dev/null 2>&1
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm -f /var/run/misdncapid.pid
+ rm_daemon misdncapid
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+ ;;
+esac
+exit 0

Copied: misdnuser/repos/testing-x86_64/PKGBUILD (from rev 158984, misdnuser/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2012-05-14 05:41:34 UTC (rev 158985)
@@ -0,0 +1,45 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa@archlinux.org>
+
+pkgname=misdnuser
+pkgver=2.0.13_20120513
+pkgrel=1
+pkgdesc="Tools and library for mISDN"
+arch=('i686' 'x86_64')
+url="http://www.misdn.org"
+license=('GPL')
+depends=('isdn4k-utils' 'spandsp')
+backup=('etc/capi20.conf')
+options=('!makeflags' '!libtool' '!strip')
+source=(ftp://ftp.archlinux.org/other/misdnuser/${pkgname}-${pkgver}.tar.gz
+ misdncapid.rc
+ mISDNcapid.service
+ mISDNcapid.conf)
+
+build() {
+ # only enable for debugging!
+ #export CFLAGS+=" -g -O0"
+ #export CXXFLAGS+=" -g -O0"
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./configure --prefix=/usr --enable-capi --enable-softdsp --with-mISDN_group=uucp
+ make
+}
+
+package() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make DESTDIR=${pkgdir} install
+ install -D -m 755 ${srcdir}/misdncapid.rc ${pkgdir}/etc/rc.d/misdncapid
+ # fix udev rule
+ mkdir -p ${pkgdir}/usr/lib/udev/rules.d
+ mv ${pkgdir}/etc/udev/rules.d/45-misdn.rules ${pkgdir}/usr/lib/udev/rules.d
+ rm -r ${pkgdir}/etc/udev/
+ # remove temporary dir /var/run/mISDNcapid
+ rm -r ${pkgdir}/var
+ # add systemd files
+ install -D -m644 ${srcdir}/mISDNcapid.service ${pkgdir}/usr/lib/systemd/system/mISDNcapid.service
+ install -D -m644 ${srcdir}/mISDNcapid.conf ${pkgdir}/usr/lib/tmpfiles.d/mISDNcapid.conf
+}
+md5sums=('f61339c3a28a370cd971957e6ef07f5c'
+ '2009563b144de037ecb20f8d727a772e'
+ '638b399f7e0937639960c4dfb3d5138e'
+ '42c3b46880a68c3883ee1ed00af34b45')

Copied: misdnuser/repos/testing-x86_64/mISDNcapid.conf (from rev 158984, misdnuser/trunk/mISDNcapid.conf)
===================================================================
--- testing-x86_64/mISDNcapid.conf (rev 0)
+++ testing-x86_64/mISDNcapid.conf 2012-05-14 05:41:34 UTC (rev 158985)
@@ -0,0 +1 @@
+D /var/run/mISDNcapid 0755 root root -

Copied: misdnuser/repos/testing-x86_64/mISDNcapid.service (from rev 158984, misdnuser/trunk/mISDNcapid.service)
===================================================================
--- testing-x86_64/mISDNcapid.service (rev 0)
+++ testing-x86_64/mISDNcapid.service 2012-05-14 05:41:34 UTC (rev 158985)
@@ -0,0 +1,10 @@
+[Unit]
+Description=mISDN CAPI daemon
+
+[Service]
+Type=forking
+ExecStart=/usr/sbin/mISDNcapid
+ExecReload=/bin/kill -HUP $MAINPID
+
+[Install]
+WantedBy=multi-user.target

Copied: misdnuser/repos/testing-x86_64/misdncapid.rc (from rev 158984, misdnuser/trunk/misdncapid.rc)
===================================================================
--- testing-x86_64/misdncapid.rc (rev 0)
+++ testing-x86_64/misdncapid.rc 2012-05-14 05:41:34 UTC (rev 158985)
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID="$(pidof -o %PPID /usr/sbin/mISDNcapid)"
+case "$1" in
+ start)
+ stat_busy "Starting misdncapid"
+ if [ ! -x /var/run/mISDNcapid ] ; then
+ install -m755 -d /var/run/mISDNcapid
+ fi
+
+ [ -z "$PID" ] && /usr/sbin/mISDNcapid >/dev/null 2>&1
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ PID=$(pidof -o %PPID /usr/sbin/mISDNcapid)
+ echo $PID > /var/run/misdncapid.pid
+ add_daemon misdncapid
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping misdncapid"
+ [ -f /var/run/misdncapid.pid ] && kill `cat /var/run/misdncapid.pid` >/dev/null 2>&1
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm -f /var/run/misdncapid.pid
+ rm_daemon misdncapid
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+ ;;
+esac
+exit 0